﻿
@{
    ViewBag.Title = "Test";
}
<div style="margin-left: 30px">
    <span style="color: red">WORK IN PROGRESS</span>   
    <span class="row">
        <h4>Import excel and csv</h4>
        <form>
            <span>Select file(s) to upload :</span>
            <input id="fileUpload" name="file1" type="file" />
            <input id="button1" type="button" value="Upload" onclick="ImportExcel()" />
        </form>
    </span>

    <span class="row">
        <h4>Export</h4>
        <input id="button2" type="button" value="Export Excel" onclick="ExportExcel()" />
        <input id="button2" type="button" value="Export Csv" onclick="" />
        <input id="button2" type="button" value="Export Pdf" onclick="" />
    </span>
</div>

<script>
    function ImportExcel() {
        var data = new FormData();

        var files = $("#fileUpload").get(0).files;

        // Add the uploaded image content to the form data collection
        if (files.length > 0) {
            data.append("UploadedImage", files[0]);
        }

        // Make Ajax request with the contentType = false, and procesDate = false
        $.ajax({
            type: "POST",
            url: "http://localhost:11668/api/v2.0/Upload?entity=USERS",
            contentType: false,
            processData: false,
            data: data
        });
    }

    function ExportExcel() {
        alert("test");
        $.ajax({
            type: "POST",
            url: "http://localhost:11668/api/v2.0/ExportExcel?format=XLSX",
        });
    }
</script>
